/*
 * testsuite.h -- qsearch testsuite header file.
 *                see http://www.cartel-securite.net/pbiondi/libqsearch.html
 *                for more informations
 *
 * Copyright (C) 2002  Philippe Biondi <biondi@cartel-securite.fr>
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 */


#ifndef TESTSUITE_H
#define TESTSUITE_H

typedef struct ptrn_s {
        char *pattern;
        int type;
} ptrn_t;


typedef struct test_s test_t;

struct test_s {
        char *name;
        char *info;
        ptrn_t **patterns;
        char *sample;
        char **results;
};

test_t **readconf(char *filename);


#endif /* TESTSUITE_H */
